Skip to content

List files

Request

Returns a paginated list of Files for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""downloadUrl""mimeType""name""notes""sizeBytes"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
downloadUrlstring

URL that can be used to download the file content.

isActiveboolean

Whether the file is active and available for use.

mimeTypestring

MIME type of the file, e.g. 'application/pdf'.

namestring

Human-readable file name, typically including extension.

notesstring

Free-text notes about the file.

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/file?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&downloadUrl=string&isActive=true&mimeType=string&name=string&notes=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of Files